=== debian/changelog ===
fwts (19.09.00-0ubuntu1) eoan; urgency=medium

  [Alex Hung]
  * acpi/boot: skip ACPI BOOT test on UEFI systems.
  * acpi: s3: fix typo from 6b94bb6a4b13e

  [Colin Ian King]
  * opal: add more bounds checking and zero pstates array

  [Ivan Hu]
  * fwtstest: boot-0001: sync with boot table check on efi firmware

 -- Ivan Hu <ivan.hu@ubuntu.com>  Thu, 26 Sep 2019 21:53:07 +0800

fwts (19.08.00-0ubuntu1) eoan; urgency=medium

  [Alex Hung]
  * auto-packager: mkpackage.sh: remove cosmic

  [Colin Ian King]
  * efi_runtime: enable KBUILD_MODPOST_WARN=y to workaround build failures
  * ACPICA: Update to version 20190816
  * fwtstest: syntaxcheck-0001: update to keep in sync with ACPICA features

  [Naresh Bhat]
  * README: Add package dependency notes for ARM64

 -- Ivan Hu <ivan.hu@ubuntu.com>  Tue, 27 Aug 2019 12:54:13 +0800

fwts (19.07.00-0ubuntu1) eoan; urgency=medium

  [Alex Hung]
  * cpu/msr: skip read-only MCG_CAP MSR
  * cpu/msr: add document info the cpu_msr_map table
  * cpu/msr: add 3 more CPU IDs for IA32_silvermont_MSRs
  * cpu/msr: remove EBL_CR_POWERON (2ah) from IA32_MSRs
  * cpu/msr: check SGX & LMCE in IA32_FEATURE_CONTROL (3ah)
  * cpu/msr: move TSC_ADJUST (3bh) to IA32_MSRs
  * cpu/msr: add SMM_MONITOR_CTL (9bh) to IA32_MSRs
  * cpu/msr: update MTRRCAP MSR register
  * cpu/msr: update PAT MSR PA0[2:0]
  * cpu/msr: add MC*_CTL2 MSR registers
  * cpu/msr: update fields for MTRR_DEF_TYPE MSR
  * cpu/msr: add VMX_VMFUNC MSR register
  * cpu/msr: remove same MSR registers in IA32_MSRs
  * cpu/msr: add MISC_ENABLE MSR to IA32_atom_MSRs
  * cpu/msr: remove MSR for Error-Reporting Register Banks
  * cpu/msr: add MSR_PMG_IO_CAPTURE_BASE to IA32_silvermont_MSRs
  * cpu/msr: add MSR_FEATURE_CONFIG to IA32_silvermont_MSRs
  * cpu/msr: add MSR_TEMPERATURE_TARGET to IA32_silvermont_MSRs
  * cpu/msr: add MSR_BBL_CR_CTL3 to IA32_silvermont_MSRs
  * cpu/msr: update THERM_INTERRUPT MSR masks
  * cpu/msr: update MISC_ENABLE to IA32_silvermont_MSRs

  [Colin Ian King]
  * Move libfwtsacpica and libfwtsiasl into their own directories
  * Makefiles: hard code paths to workaround autotool bug
  * ACPICA: Update to version 20190703
  * fwts-test: arg-help-0001: reset tty width to original setting
  * lib: fwts_framework: fix memory leak on fw->fdt
  * fwts: opal: fix memory leak of 'buf'.
  * acpi: method: skip over bad method_handle and failed message type
  * acpi: method: add null pointer sanity checks on resource
  * acpi: method: add more null pointer sanity checks on resource
  * acpi: s3/s4: initialize error to zero
  * lib: fwts_pipeio: zero pollfds to squish a static analysis warning

  [Erico Nunes]
  * dsddump: fix segfault on type ACPI_TYPE_LOCAL_REFERENCE

 -- Alex Hung <alex.hung@ubuntu.com>  Thu, 25 Jul 2019 10:48:59 -0600

fwts (19.06.00-0ubuntu1) eoan; urgency=medium

  [Alex Hung]
  * acpi/fadt: update latest FADT revision to 6.3
  * apic: apicedge: remove irq < 16 is edge only
  * mtrr: set severity to critical for incorrect attributes

  [Colin Ian King]
  * acpi: s3: fix two memory leaks on fwts_get() calls and minor clean-ups
  * fwts_summary: check for list creation failure
  * fwts_modprobe: fix potential null pointer dereference
  * cpu: cpufreq: avoid division by zero by initializing cpu_top_perf to 1
  * fwts_args: check for null text pointer
  * fwts_log_plaintext: check for null pointer
  * acpi: s3: check for null pointer
  * lib: fwts_cpu: only assign a string if it has not yet been assigned
  * acpi: syntaxcheck: nullify pointers to clean up static analysis warnings
  * lib: fwts_log_scan: ensure accumulated error count is initialized
  * lib: fwts_acpi_tables: remove redundant initialization of ret
  * acpi: tcpa: remove redundant initialization of boolean passed
  * acpi: dscdump: reduce scope of loop counter i
  * acpi: method: reduce scope of boolean flag matching_levels
  * lib: fwts_formatting: use simpler style for assigments
  * uefi: uefirttime: make status static, cleans up cppcheck warnings

  [Erico Nunes]
  * dsddump: fix Package loop condition

  [Ivan Hu]
  * uefitime: add checking the EFI_UNSUPPORTED return code
  * uefirtvariable: add checking the EFI_UNSUPPORTED return code
  * uefirtmisc: add checking the EFI_UNSUPPORTED return code

 -- Alex Hung <alex.hung@ubuntu.com>  Wed, 12 Jun 2019 10:24:53 -0700

fwts (19.05.00-0ubuntu1) eoan; urgency=medium

  [Alex Hung]
  * auto-packager: mkpackage.sh: remove trusty
  * dmicheck: update supported SMBIOS version
  * acpi/method: check full and battery power if acpi_video0 exists
  * dmicheck: checks type length vs. SMBIOS versions
  * dmicheck: add Type 1's Field 25 & 26 as used by kernel
  * apic: apicedge: fix typo in error messages
  * cpufreq: change from abort to skip when cpufreq cannot run
  * kernel:version: change ACPI version to ACPICA version
  * pci:crs: fix an indentation error
  * acpi: s3: check sleep type for output messages

  [Colin Ian King]
  * snapcraft: update to core18
  * ACPICA: Update to version 20190329
  * Add libbsd to travis build file
  * ACPICA: Update to version 20190405
  * acpica: re-work fwts / iasl interface to work with latest ACPICA
  * fwts-test: refresh syntaxcheck test output
  * ACPICA: Update to version 20190509
  * fwts-test/syntaxcheck: refresh syntaxcheck test output
  * fwts_acpica: don't add in RSDP or null table entries to XSDT or RSDT (LP: #1829167)

  [Ivan Hu]
  * auto-packager:mkpackage.sh: add eoan

  [fanjinke]
  * Add support for Hygon Dhyana CPU

 -- Ivan Hu <ivan.hu@ubuntu.com>  Thu, 16 May 2019 16:27:44 +0800
