## fwts 20.02.00

=== debian/changelog ===
fwts (20.02.00-0ubuntu1) focal; urgency=medium

  [Alex Hung]
  * fwts_hwinfo: add device check for Type-C
  * fwts_hwinfo: fix copy & paste typos
  * fwts_hwinfo: add device check for disks
  * fwts_hwinfo: add device check for attached monitors
  * live-image: replace hard-coded "oem-tests.lst" by a variable
  * live-image: add an option for creating oem-tests.lst

  [Colin Ian King]
  * ACPICA: Update to version 20200214
  * fwts-test/syntaxcheck: sync regression log with latest ACPICA output

  [Ivan Hu]
  * auto-packager: mkpackage.sh: remove disco

 -- Ivan Hu <ivan.hu@ubuntu.com>  Wed, 26 Feb 2020 09:39:35 +0800

fwts (20.01.00-0ubuntu1) focal; urgency=medium

  [Alex Hung]
  * dmicheck: skip type 17 test if no memory module

  [Colin Ian King]
  * ACPICA: Update to version 20191213
  * Update copyright year to 2020
  * ACPICA: Update to version 20200110
  * lib: fwts_memorymap: check for memory allocation failure on object entry
  * lib: fwts_multiproc: add sanity check to data->size to clean up static analysis warning
  * lib: fwts_acpi_tables: remove redundant initialization to oem_tbl_id
  * uefirtvariable: indicate that return from setvariable_insertvariable is ignored
  * lib: fwts_memorymap: fix resource leak on dir on error return path

 -- Ivan Hu <ivan.hu@ubuntu.com>  Tue, 14 Jan 2020 15:32:20 +0800

fwts (19.12.00-0ubuntu1) focal; urgency=medium

  [Colin Ian King]
  * efi_runtime: don't build dkms module for kernels 4.8.0 and above
    (LP: #1853090)
  * debian/tests: only run dkms test when dkms module is run
  * debugger: check for memory allocation failure on object Elements
  * debugger: fix spelling mistake "adress" -> "address"
  * cpu: microcode: remove redundant check on pointer entry
  * fwts_wakealarm: remove unused function fwts_wakealarm_exits

  [Erik Schmauss]
  * iASL: remove unneeded NULL checks

 -- Alex Hung <alex.hung@ubuntu.com>  Sun, 08 Dec 2019 22:01:38 -0700

fwts (19.11.00-0ubuntu1) focal; urgency=medium

  [Alex Hung]
  * lib: fwts_log_html: tweak line-height
  * auto-packager:mkpackage.sh: add focal
  * acpi/s3: fine-tune measure of suspend time
  * lib: fwts_log_html: set max-width for line wrap
  * live-image: overwrite pre-defined tests by oem-tests.lst
  * acpi/s3: fix no suspend & resume time for s2idle
  * acpi/fadt: check no-zero failures for X_PM* for 6.1 and before
  * sbbr: add uefi tests to ARM's SBBR

  [Colin Ian King]
  * ACPICA: Update to version 20191018
  * iASL: fix memory leak of LocalityBuffer on error return path
  * lib: fwts_framework: use strlcpy instead of strncpy, fixes gcc-10 build
    errors

  [Ivan Hu]
  * ebbr: add EBBR option for ARM embedded systems
  * fwts-tests: sync up with --ebbr option
  * lib: move the global variable guid to lib header
  * lib: add function for check the RuntimeServicesSupported variable
  * uefirttime: add unsupported checking with RuntimeServicesSupported variable
  * uefirtvariable: add unsupported checking with RuntimeServicesSupported
    variable
  * uefirtmisc: add unsupported checking with RuntimeServicesSupported variable
  * doc: add --ebbr option for man page

  [Robert Moore]
  * iASL: Use ACPI_COMPARE_NAMESEG instead of strcmp

 -- Alex Hung <alex.hung@ubuntu.com>  Wed, 13 Nov 2019 22:06:27 -0700
