## fwts 20.09.00

=== debian/changelog ===
fwts (20.09.00-0ubuntu1) groovy; urgency=medium

  [Alex Hung]
  * s0idle: add a test to verify lower power s0 idle is enabled
  * fwts-test: sync up with new s0idle tests

  [Colin Ian King]
  * s3: fix segmentation fault when PM_S2IDLE_SLP_S0 is not available
    (LP: #1894229)

  [Ivan Hu]
  * tpmevlogdump: add dumping sha1 log format event log

 -- Alex Hung <alex.hung@ubuntu.com>  Thu, 17 Sep 2020 12:07:19 -0600

fwts (20.08.00-0ubuntu1) groovy; urgency=medium

  [Alex Hung]
  * gitignore: update ignore files
  * acpi/fadt: checks X_GPE0/1 have byte access width
  * s3: check slp_s0_residency_usec for s2idle

  [Colin Ian King]
  * Debian: update compat level and standards version to match Xenial
  * Debian/copyright fix lintian warning
  * Debian: add riscv64 lintian overrides
  * data: klog.json: fix unintential newline in a literal string
  * dmicheck: update Memory Device type 17 size/version check (LP: #1892479)
  * Replace json-c library with minimal replacement
  * Remove all libjson references
  * lib: fwts_json: fix memory leak on error return path
  * lib: fwts_log_json: fix memory leak

 -- Alex Hung <alex.hung@ubuntu.com>  Mon, 24 Aug 2020 21:53:07 -0600

fwts (20.07.00-0ubuntu1) groovy; urgency=medium

  [Alex Hung]
  * auto-packager: mkpackage.sh: remove eoan
  * travis: update dist to focal
  * tpm2: table size can be 76 when "LAML" & "LASA" are used

  [Colin Ian King]
  * replace inaccurate and offsensive language
  * acpi: mpst: fix potential infinite loop on 16 bit counter j
  * tpmevlogdump: fix leak of fd on error return paths, voidify close returns
  * opal: add check for the number of regions
  * ACPICA: Update to version 20200717
  * Add riscv64 architecture to fwts
  * lib: fwts_modprobe: add helper to build module path name
  * lib: fwts_battery: add helper to build battery path name

  [Ivan Hu]
  * tpmevlogdump: add function for dumping tpm event log
  * tpmevlogdump: add pcr_index usage
  * libfwtsiasl: fix build error on groovy
  * lib: fwts_battery: fix build error on armhf
  * lib: fwts_buttion: add helper function to build button path

 -- Ivan Hu <ivan.hu@ubuntu.com>  Wed, 29 Jul 2020 15:30:01 +0800

fwts (20.06.01-0ubuntu1) groovy; urgency=medium

  [Alex Hung]
  * fwts_acpi_object_eval: add a function to check package
  * acpi/method: remove duplicated code by a common function
  * acpi: refactor method_test_BMD to a common function
  * fwts_acpi_object_eval: add a function to check buffer size
  * acpi/method/time: replace buffer size checks with function calls
  * method: fix typo for ROM test return
  * acpi/method: add tests for _MAT method
  * fwts-test: sync up with _MAT method tests
  * method: replace duplicated code by util function in _PRR test
  * acpi/method: remove duplicated code in _PSR test
  * acpi/method: add tests for _SLI method
  * fwts-test: sync up with _SLI method tests
  * acpi/method: fix incorrect error messages for _SUB tests
  * acpi/method: check _WPP returns by fwts_method_test_polling_return
  * acpi/method: update tested method comments for _ALx and _SLI
  * acpi/method: line wrap long statements
  * dmicheck: update supported DMI version to 3.3
  * fwts_acpi_object_eval: revise fwts_method_test_passed_failed_return
  * dmicheck: test feature flags in type 2
  * dmicheck: remove duplicated chassis type test in type 3
  * dmicheck: update Processor Characteristics test in type 4
  * dmicheck: add Supported SRAM test in type 4
  * dmicheck: fix typo in type 8
  * dmicheck: add CXL Flexbus 1.0 to slot type in type 9
  * dmicheck: fix wrong length for reserved fields in type 13
  * dmicheck: update tests in type 17
  * dmicheck: check fields that has max 0x8000
  * dmicheck: check reserved bits in Characteristics in type 43
  * dmicheck: refactor code to check mutliple valid ranges
  * fwts_acpi_tables: fix fwts_get_acpi_version helper
  * acpitables: test ACPI versions vs. ACPI table revisions
  * fwts-test: sync up with acpitables tests
  * gitignore: update ignore list
  * cpu: virt: remove unused marco "CPUID_FAM_REV"
  * acpi/nvdimm: add tests for nvdimm devices
  * acpi/devices: refactor devices' HIDs and names
  * cpu/msr: remove General Performance Counters
  * acpi/devices: fix typos in comments
  * dmicheck: add type 0's fields used by kernel
  * acpitables: add table name outputs to revision tests
  * fwts-collect: depreciate ebda collection

  [Colin Ian King]
  * ACPICA: Update to version 20200528

  [Ivan Hu]
  * lib: fwts_acpi_tables: add option for dump acpi table from sysfs
  * lib: fwts_dump_data: make the dumping data the same format as acpidump
  * doc: add new --dump-acpi-from-sysfs option
  * fwts-test: sync up with new --dump-acpi-from-sysfs option and acpidump changes
  * lib: fwts_acpi_object_eval: fix build error on i386

  [You-Sheng Yang]
  * gitignore: add git.mk
  * debian: update copyright info for git.mk
  * gitignore: enable git.mk usage
  * gitignore: add results.log
  * gitignore: add packaging specific files

 -- Ivan Hu <ivan.hu@ubuntu.com>  Tue, 23 Jun 2020 16:37:55 +0800

fwts (20.05.00-0ubuntu1) groovy; urgency=medium

  [Alex Hung]
  * dmicheck: update system slot type (type 9)
  * dmicheck: update Memory Device type (type 17)
  * dmicheck: add Type 44 (Processor Additional Information)
  * dmicheck: update Memory Array Location (type 16)
  * acpi/method: check _PS3 exists when _PS0 is present
  * klog.json: add a "Unable ... IOMMU perf counter" message
  * acpi/method: checks _UPP's return as polling
  * acpi/method: add tests for _ALx method
  * fwts-test: sync up with _ALx control method
  * acpi/method: reuse common function for _PCL method
  * acpi/method: refactor with fwts_method_test_all_reference_package_return
  * acpi/method: check reserved bits from _BBN return
  * acpi/method/battery: replace hardcoded array length by FWTS_ARRAY_SIZE
  * acpi/method: remove duplicated code for returned integers
  * fwts-test: sync up with method tests

