## fwts 21.03.00

=== debian/changelog ===
fwts (21.03.00-0ubuntu1) hirsute; urgency=medium

  [Alex Hung]
  * pci: move pci_device struct to fwts_pci.h
  * bios: smm: add a test to check SMM lock bits
  * bios: interrupt: add a test to check ACPI SCI per second
  * acpi: uniqueid: add tests for _HID/_CID vs. _UID

  [Colin Ian King]
  * acpi: s3,s4: ensure status is initialized

  [Heinrich Schuchardt]
  * uefi: update header for EFI runtime services
  * uefi: fix fwts_uefi_rt_support_status_get()

  [Ivan Hu]
  * uefi: remove the var_ prefix
  * uefi: move fwts_uefi_rt_support_status_get to init function

 -- Ivan Hu <ivan.hu@ubuntu.com>  Mon, 29 Mar 2021 16:55:04 +0800

fwts (21.02.00-0ubuntu1) hirsute; urgency=medium

  [Alex Hung]
  * acpi: replace objname by get_object_name() in various functions
  * acpi: method: remove a redundant passed message
  * acpi: move acpi battery common methods to lib
  * acpi: method: check fixed package by fwts_method_package_elements_type
  * acpi: method: merge and refine _CSD, _PSD and _TSD return tests
  * lib: fwts_acpi_object_eval: add returns to long lines
  * acpi: method: refine _PSS and _TSS method tests
  * acpi: method: merge _PCT & _PTC method tests
  * acpi: method: refine tests sub-package elements
  * acpi: method: remove redundant count_equal checks in _CPC test
  * acpi: method: refine _Sx count checks by fwts_method_package_count_min
  * acpi: method: refine _PRW method tests
  * acpi: method: add passed messages to _GLK and _DSD tests
  * acpi: update ACPI version to 6.4
  * acpi/madt: add ACPI 6.4 to madt_revision test
  * lib: fwts_acpi_tables: update fwts_get_acpi_version (mantis: 2105)
  * acpitables: update ACPI table revsion test to ACPI 6.4
  * acpi: nfit: add Spa Location Cookie as in ACPI 6.4 (mantis 1988)
  * acpi: srat/hmat: update fields of sub-structures (mantis 1991)
  * acpi: battery/method: add _BPC, _BPS and _BPT tests (mantis 1997)
  * fwts-test: sync up with _BPC, _BPS, _BPT, NFIT and HMAT tests
  * acpi: pcct: add type 5 according to ACPI 6.4 (manti 2010)
  * fwts-tests: sync up with pcct updates
  * acpi: method: add _CBR test (mantis 2045/2077)
  * fwts-test: sync up with _CBR test
  * acpi: madt: add Multiprocessor Wakeup support (mantis 2087)
  * acpi: battery: add Battery Charge Limiting (mantis 2090)
  * acpi: method: update _DDC argument size (mantis 2137)
  * acpi: madt: update fadt and madt revisions to ACPI 6.4
  * lib: acpi: add a macro to fwts_acpi_reserved_bits_check
  * lib: acpi: add a macro to fwts_acpi_reserved_zero_check
  * fwts_framework: skip sbbr & ebbr on non-aarch64 systems
  * sbbr: disable SBBR tests on non-aarch64 systems
  * pci: maxreadreq: Add "safe to ignore ... message"
  * version: remove /proc/acpi/info
  * Revert "lib: fwts_acpi_tables: add option for dump acpi table from sysfs"
  * lib: acpi: load acpi tables from sysfs by default
  * fwts-test: sync up with removal of dump-acpi-from-sysfs

  [Colin Ian King]
  * acpi: method: fix two memory leaks on error return paths
  * lib: fwts_acpi_tables: use bit-wise & rather than logical &&

 -- Alex Hung <alex.hung@ubuntu.com>  Tue, 23 Feb 2021 11:49:17 -0700

fwts (21.01.00-0ubuntu1) hirsute; urgency=medium

  [Alex Hung]
  * cpu: maxfreq: skip when "model name" is not available
  * acpi: enable & disable acpi tables for arm64
  * acpi: lib: refactor table _init to a macro function
  * fwts-test: sync up with XSDT revision changes
  * Update copyright year to 2021
  * acpi: check reserved fields by fwts_acpi_reserved_zero_check
  * fwts-test: sync up with fwts_acpi_reserved_zero_check
  * acpi: fix incorrect parameter to fwts_acpi_reserved_bits_check
  * lib: add fwts_acpi_fixed_value_check function to check fixed values
  * acpi: refactor checks for fixed values by fwts_acpi_fixed_value_check
  * fwts-test: sync up with fwts_acpi_fixed_value_check
  * acpi: add fwts_acpi_space_id_check to check GAS adrress space ids
  * fwts-test: sync up with fwts_acpi_space_id_check
  * acpi: mcfg: enable only if ACPI is available
  * cpu: maxfreq: fix build errors on arm32 + gcc10
  * lib: add fwts_log_info_simp_int to printing integers
  * fwts-test: sync up with fwts_log_info_simp_int changes
  * lib: fwts_smbios: merge similar functions
  * dmicheck: add a marco to shorten dmi_ranges_uint8_check calls
  * acpi: pmtt: fix infinite loops when length is incorrectly zero
  * lib: fix compile error for debian + gcc 8.3
  * acpi: method: add a function to check number of sub-package elements
  * acpi: method: replace _GPE test by fwts_method_package_elements_type
  * acpi: method: add a function to check type of sub-package elements
  * acpi: shorten fwts_method_package_elements_type args by a macro

  [Colin Ian King]
  * ACPICA: Update to version 20201217
  * ACPICA: Update to version 20210105
  * acpi: fix incorrect method of finding string size
  * uefi: add a helper to check for address overflow
  * tpmevlog: clean up some minor cppcheck style warnings
  * tpmevlogdump: clean up some minor cppcheck style warnings
  * uefi: clean up a cppcheck style warning
  * kernelscan: fix variable shadowing warning
  * cpu: cpufreq: initialize online_cpus in for loop
  * acpi: add null check on calls to get_space_id_name()
  * acpi: fix check of length overflow

  [Nhi Pham]
  * acpi: lib: correct revision of the fake XSDT table

  [Rebecca Cran]
  * dmicheck: Type 4 Processor Characteristics bit 9 is no longer reserved

 -- Alex Hung <alex.hung@ubuntu.com>  Wed, 20 Jan 2021 01:31:17 -0700

fwts (20.12.00-0ubuntu1) hirsute; urgency=medium

  [Alex Hung]
  * acpi: method: define marcos for D3hot and D3cold
  * acpi: fadt: X_GPE0/1_BLK can be zero when not used
  * pci: maxreadreq: skip Intel video devices
  * acpi: method: replace revision checks by fwts_method_test_revision
  * dmicheck: add dmi version check to SMBIOS3
  * lib: fwts_acpi_object_eval: add fwts_method_test_revision function
  * lib: fix a function name typo in comment
  * dmi: dmicheck: update type 4, 9 and 17 according to spec 3.4

