## fwts 21.09.00

=== debian/changelog ===
fwts (21.09.00-0ubuntu1) impish; urgency=medium

  [Alex Hung]
  * lib: fwts_firmware: fix incorrect comments for fwts_firmware_detect
  * acpi: replace fwts_firmware_detect() by fw->firmware_type

  [Colin Ian King]
  * Manual: update number of tests, date and remove double spaces
  * lib: use <poll.h> rather than <sys/poll.h>
  * snapcraft: update to use core20
  * fwts_acpi_tables: NULLify table pointers
  * fwts_devicetree: clean up static analysis warning
  * opal: mem_info: clean up pedantic static analysis warnings
  * uefirtvariable: clean up pedantic static analysis warnings
  * acpi: s3power: clean up pedantic static analysis warnings
  * opal: Fix a few memory leaks on asprint allocated buffers
  * opal: clean up some coding style issues
  * smccc_test: fix missing ) in pr_info call
  * acpi: cstates: remove redundant null check on entry
  * acpi: dmar: constify a pointer argument in acpi_parse_dev_scope
  * acpi: iort: constify some function arguments
  * bios: smm: remove redundant variable n
  * src/pci/smccc: reduce scope of variable ret
  * uefi: securebootcert: make some function arguments const
  * uefi: uefirtmisc: reduce scope of some variables

  [Rob Herring]
  * Enable dt_sysinfo test for Power only
  * fwts_firmware: Rework Devicetree firmware detection
  * debian/control: Add device-tree-compiler as dependency for
    armel/armhf/arm64 

 -- Ivan Hu <ivan.hu@ubuntu.com>  Mon, 27 Sep 2021 13:49:22 +0800

fwts (21.08.00-0ubuntu1) impish; urgency=medium

  [Alex Hung]
  * sbbr: remove pm_file test (not required in BBR 1.0)
  * acpi/wmi: update WMI known GUIDs from Linux kernel 5.14-rc1
  * fwts-test: sync up with updates in fwts_wmi_known_guids
  * acpi: dmar: add a warning when PCI device is not found
  * acpi: fadt: clarify comments of FACS and HW-reduced mode
  * acpi: fadt: remove hard-coded FADT version
  * lib: fwts_acpi_tables: add a function to get FADT versions
  * acpi: sbbr: refactor by fwts_get_fadt_version
  * bios: smm: fix indentation

  [Colin Ian King]
  * ACPICA: Update to version 20210730
  * ARM64 SMCCC firmware API tests

  [Sunny Wang]
  * uefirttime: Fix incorrect error messages for invalid time test

 -- Ivan Hu <ivan.hu@ubuntu.com>  Wed, 25 Aug 2021 13:47:49 +0800

fwts (21.07.00-0ubuntu1) impish; urgency=medium

  [Alex Hung]
  * acpi: acpitables: add advices for table revision tests
  * sbbr: acpitables: add new recommended tables
  * fwts_acpi_tables: skip FACS warning for reduced hardware
  * fwts-test: sync up with DBG2 changes from BSA updates
  * auto-packager: mkpackage.sh: remove groovy

  [Erico Nunes]
  * sbbr: remove SSDT from mandatory list
  * sbbr: adjust signature name for MADT

  [Grzegorz Bernacki]
  * acpi: method: Make method_test_ADR() optional
  * acpi: dbg2: Allow 16550 compatible serial port in DBG2
  * acpi: method: Make _AEI test optional for SBBR

  [Ivan Hu]
  * uefirttime: add advice for the timezone 2047 failure (LP: #1933503)

 -- Alex Hung <alex.hung@ubuntu.com>  Wed, 14 Jul 2021 16:56:22 -0600

fwts (21.06.00-0ubuntu1) impish; urgency=medium

  [Alex Hung]
  * fwts_test: arg-json-0001: use current klog.json, not a copy
  * lib: fwts_acpi_tables: constify read-only function arguments
  * fwts_framework: clean up flag macros
  * acpi: pptt: constify read-only function arguments
  * acpi: wdat: enable printing fields
  * fwts-test: sync up with wdat changes
  * acpi: wrap long funtion definitions
  * acpi/fwts-test: fix typo (depreciated->deprecated)
  * sbbr: add checks for mandatory tables
  * sbbr: update recommended tables
  * acpi: remove SBBR mandatory tests in various tables
  * acpi: sbbr: add mcfg and pptt to --sbbr option
  * live-image: remove unnecessary -skip-test=s3,s4 argument
  * live-image: create a separate menu for arm64/aarch64
  * dmicheck: add type 42 to SBBR requirement
  * klog.json: check IRQ requests on irqchip
  * tpmevlog: add to batch tests
  * live-image: add utils tests to "Selected" menu
  * live-image: add "TPM tests" to root menu
  * auto-packager: mkpackage.sh: remove xenial

  [Colin Ian King]
  * Makefile.am: remove all traces of $srcdir and $top_srcdir in Makefile.am
    (LP: #1929138)
  * ACPICA: Update to version 20210604
  * fwts-test: sync test logs with latest ACPICA
  * snapcraft.yaml: add architectures info to make remote snap builds easier
  * Debian: remove spaces at end of lines of changelong
  * Debian: remove spaces at end of lines of control file
  * debian/copyright: use secure https url specifier
  * Debian: add project Homepage field to control file
  * Debian: add Rules-Requires-Root field to control file
  * Debian: update compat level to 9
  * Debian: control: update Standards-Version to 4.1.0
  * Add lintian overrides for ldconfig trigger warning
  * Debian: move source lintian overrides file to source
  * Remove complex disabling of ACPI for non-ACPI targets
  * fwts_acpi_tables: memcpy 4 char ACPI table name

  [Ivan Hu]
  * uefirttime: set test time for the settime and setwakeuptime tests
    (LP: #1929509)

 -- Alex Hung <alex.hung@ubuntu.com>  Sun, 20 Jun 2021 23:42:45 -0600

fwts (21.05.00-0ubuntu1) impish; urgency=medium

  [Alex Hung]
  * acpi: sdev: update type 1 in ACPI 6.4 (mantis 2111)
  * fwts-test: sync up with sdev changes
  * acpi: acpitables: add revision tests for PPTT
  * acpi: pptt: add cache id according to ACPI 6.4 (mantis 2138)
  * acpi: lib: add two helper functions
  * acpi: phat: add a test for PHAT table
  * fwts-test: sync up with phat test
  * oops: add "kernel BUG" to oops test
  * fwts-test: sync up with oops tests
  * acpi: pmtt: update PMTT to revision 2 (mantis 1975)
  * fwts-test: sync up with PMTT rev 2 changes
  * acpi: refactor by fwts_acpi_structure_range_check
  * acpi: refactor by fwts_acpi_reserved_type_check
  * acpi: refactor zero length by fwts_acpi_structure_length_zero_check
  * acpi: refactor length check by fwts_acpi_structure_length_check
  * fwts-test: sync up with PMTT refactoring changes

