=== debian/changelog ===
fwts (22.09.00-0ubuntu1) kinetic; urgency=medium

  [Ivan Hu]
  * acpi: dbg2: update the subtype for DBG2 table
  * lib: acpi: update battery charge limiting state for _BST
  * uefi: securebootcert: fix the attribute set for AuditMode and DeployedMode
  * acpi: fadt: get _CST c2 c3 for p_lvl2 and p_lvl3 tests
  * acpi: nhltdump: add dumping nhlt table for audio configurations
  * acpi: nhltdump: add endpoint discriptor string description
  * acpi: svkl: add test for SVKL table (mantis 2162)
  * fwts-test: add regression test for SVKL
  * acpi: iort: remove redundant code

 -- Ivan Hu <ivan.hu@ubuntu.com>  Thu, 22 Sep 2022 09:29:58 +0800

fwts (22.07.00-0ubuntu1) kinetic; urgency=medium

  [Ivan Hu]
  * dmicheck: add Processor Architecture Types check for type 44
  * dmicheck: update for supporting DMI version to 3.5
  * dmicheck: update the processor upgrade field for type 4
  * acpi: pmtt: fix the wrong table label
  * fwts-test: sync up the fix of pmtt wrong table label
  * acpi: asf: remove the checking of minmun watchdog reset value 0
  * fwts-test: sync up the remove of ASF minimun watchdog reset value
  * acpi: asf: enable verbose output
  * fwts-test: sync up with asf verbose dump
  * auto-packager: mkpackage.sh: remove impish

  [orbea]
  * build: Improve linking

 -- Ivan Hu <ivan.hu@ubuntu.com>  Mon, 25 Jul 2022 11:12:56 +0800

fwts (22.05.00-0ubuntu1) kinetic; urgency=medium

  [Colin Ian King]
  * ACPICA: Update to version 20220331

  [Ivan Hu]
  * acpi: iort: update IORT node revision check
  * acpi: iort: update the IORT node dump
  * Update copyright year to 2022
  * acpi: iort: update IORT test to specification version E.d
  * auto-packager:mkpackage.sh: add kinetic
  * acpi: mcfg: checking kernel lockdown when doing mmap PCI config space
  * fwts-test: sync up IORT test with specification version E.d

 -- Ivan Hu <ivan.hu@ubuntu.com>  Mon, 23 May 2022 13:51:46 +0800

fwts (22.03.00-0ubuntu1) jammy; urgency=medium

  [Alex Hung]
  * acpi/time: skip a number of TAD methods when _GCP[0] is clear

  [Colin Ian King]
  * ACPICA: Update to version 20211217
  * fwts-tests: update acpi dump data to be in sync with latest ACPICA

  [Ivan Hu]
  * uefirtmisc: add checking the resources for testing
  * uefirtmisc: add option to specify iterations get next high monitonic count
  * fwts-test: sync up the adding option for get next high monotonic count
  * acpi:dmar: update the link of DMAR table
  * acpi: macf: report failures instead of just logging the errors
  * acpi: sdev: add checking secure access components
  * fwts-test: sync up the sdev checking secure access components

 -- Ivan Hu <ivan.hu@ubuntu.com>  Thu, 17 Mar 2022 14:09:40 +0800

fwts (22.01.00-0ubuntu1) jammy; urgency=medium

  [Alex Hung]
  * auto-packager: mkpackage.sh: remove hirsute
  * s3: use system suspend default if --s3-sleep-type is not used
  * fwts_acpica: skip unneccessary null check

  [Ivan Hu]
  * lib: fwts_tpm.h: add new type definition
  * tpmevlog: add supporting several new types for event log checking
  * tpmevlogdump: add supporting several new types for event log dumping

 -- Ivan Hu <ivan.hu@ubuntu.com>  Tue, 25 Jan 2022 11:37:31 +0800

fwts (21.12.00-0ubuntu1) jammy; urgency=medium

  [Alex Hung]
  * s3: fix incorrect error messages for s2idle_residency
  * s3: increase s2idle_residency to u64 to avoid overflows
  * dmicheck: skip scanning smbios in /dev/mem on aarch64

  [Ivan Hu]
  * s4: clean up pedantic static analysis warnings
  * acpi: uniqueid: clean up pedantic static analysis warnings

 -- Alex Hung <alex.hung@ubuntu.com>  Wed, 15 Dec 2021 14:39:16 -0700

fwts (21.11.00-0ubuntu1) jammy; urgency=medium

  [Alex Hung]
  * acpi: uniqueid: skip comparison of _HID and _CID of the same device
  * auto-packager:mkpackage.sh: add jammy

  [Colin Ian King]
  * snapcraft: fix path to fwts
  * snapcraft: Fix incorrect core20 library path

  [G Edhaya Chandran]
  * lib: fwts_smbios: fix loading SMBIOS table from uefi

  [Grzegorz Bernacki]
  * acpi: madt: De-initialise ACPICA core engine in case of error.

  [Ivan Hu]
  * ACPICA: Update to version 20210930
  * s3: add sleep type setting for testing with s3 or s2idle
  * fwts-test: sync up the adding sleep type for s2idle testing

 -- Alex Hung <alex.hung@ubuntu.com>  Wed, 24 Nov 2021 00:15:47 -0700
