## fwts 23.01.00

=== debian/changelog ===
fwts (23.01.00-0ubuntu1) lunar; urgency=medium

  [Ivan Hu]
  * acpi: s3: fix the issue for determining time to resume
  * tpmevlog: add tests for checking the UEFI_IMAGE_LOAD_EVENT Structure
  * acpi: aest: add tests for ACPI AEST table
  * fwts-test: add regression tests for AEST
  * lib: fwts_acpi_tables: fix the passed reserved value
  * Update copyright year to 2023
  * fwts-test: sync up with the fix of passed reserved value

 -- Ivan Hu <ivan.hu@ubuntu.com>  Mon, 16 Jan 2023 12:08:07 +0800

fwts (22.11.00-0ubuntu1) lunar; urgency=medium

  [Bryan Kemp]
  * Add Support for EV_COMPACT_HASH event type

  [Colin Ian King]
  * ACPICA: Update to version 20221020
  * fwts-test: sync test logs with latest ACPICA

  [Ivan Hu]
  * s3: modify the default sleep type description
  * fwts-test: sync up with the default s3 sleep type description change
  * acpi: rgrt: add test for ACPI RGRT table( mantis 2056)
  * fwts-test: add regression test for RGRT
  * acpi: cedt: add tests for ACPI CEDT table (mantis 2076)
  * fwts-test: add regression tests for CEDT
  * auto-package: mkpackage.sh: add lunar

 -- Ivan Hu <ivan.hu@ubuntu.com>  Mon, 21 Nov 2022 15:31:59 +0800
