## fwts 23.07.00

=== debian/changelog ===
fwts (23.07.00-0ubuntu1) mantic; urgency=medium

  [Armin Wolf]
  * acpi/wmi: Add WMI GUID for the dell-wmi-ddv driver
  * acpi/wmi: Check if the mandatory block query method exists
  * acpi/wmi: Fix bug when counting WMI methods
  * fwts_acpica: Remove unused variable "context"

  [Colin Ian King]
  * ACPICA: Update to version 20230628

  [Ivan Hu]
  * lib: framework: remvoe ARM specific for ebbr
  * fwts-test: sync up the removing ARM specific for ebbr
  * cppcheck: fix the cppcheck source link error
  * lib: fwts_oops: fix the WARN_ON warnings in kernel not found
  * debian: control: update uploader
  * debian: control: modify newer dkms dependency
  * auto-packager: mkpackage.sh: remove the control hook
  * lib: fwts_dump_data: add function for simply dump raw data
  * lib: fwts_dump_data: add library function for dumping all raw data with
    prefix
  * acpi: aest: modify the dumping raw data without noisy info
  * fwts-test: sync up aest modify the dumping raw data
  * acpi: mpam: add test for ACPI MPAM table
  * fwts-test: sync up with adding the mpam tests
  * acpi: mpam: test with resource specific data for interconnect location type
  * fwts-test: sync up with test with resource specific data
  * acpi: mpam: fix build fail on bionic
  * uefi: esrt: update the LastAttemptStatus values to UEFI spec 2.10
  * lib: fwts_acpi_object_eval: sync up the AML exceptions from ACPICA
  * debian: update compat level and standards version
  * debian: fix debuild fail for the not installed files
  * debian: fix lintian errors and warnings

  [Mario Limonciello]
  * Increase number of max semaphores to fix OOM crashes on some systems

  [Ákos Nagy]
  * lib: make the return types consistent
 
 -- Ivan Hu <ivan.hu@ubuntu.com>  Fri, 07 Jul 2023 10:37:02 +0800

fwts (23.05.00-0ubuntu1) mantic; urgency=medium

  [Colin Ian King]
  * ACPICA: Update to version 20230331

  [Ivan Hu]
  * dmicheck: extent the dmi_patterns for the default serial number string
  * dmicheck: add more checks for invalid serial number string
  * acpi: cedt: remove unused code
  * acpi: ivrs: add tests for ACPI IVRS table
  * fwts-test: add regression tests for IVRS
  * acpi: button: remove check fixed hardware & control method power buttons
  * lib: fwts_framework: add EBBR to category
  * s3: fix the display time of resume for Timekeeping suspended string missing
  * fwts_framwork: add ebbr test for RISC-V
  * auto-packager: mkpackage.sh: add mantic
  * debian: control: add build depend dh-dkms
  * auto-packager: mkpackage.sh remove the dh-dkms dependency

 -- Ivan Hu <ivan.hu@ubuntu.com>  Tue, 23 May 2023 11:59:34 +0800

fwts (23.03.00-0ubuntu1) lunar; urgency=medium

  [Huacai Chen]
  * Add support for 64 bit LoongArch compilation

  [Ivan Hu]
  * sbbr: add esrt and uefibootpath tests to sbbr option
  * ebbr: add some tests to ebbr option
  * acpi: method: NIH method output buffer should be 4 bytes
  * debian: update copyright
  * dmicheck: fix the length check error for type 9
  * dmicheck: fix the wrong slot height value range
  * dmicheck: fix the extended bios ROM size bit check of type 0
  * dmicheck: add processor family check for type 4
  * dmicheck: add status check for type 4
  * dmicheck: add bit 0 reserved check of the processor characteristics for type 4
  * dmicheck: modify the memory type range check for type 17
  * dmicheck: add some bit 0 reserved checks for type 17
  * dmicheck: update the interface field for type 21
  * dmicheck: update the device type field for type 41
  * dmicheck: update for supporting DMI version to 3.6
  * dmicheck: fix the print format
  * auto-packager: mkpackage: add build depend dh-dkms for lunar

  [Vasiliy Kovalev]
  * libfwtsiasl: fix undefined symbols in shared library

 -- Ivan Hu <ivan.hu@ubuntu.com>  Mon, 27 Mar 2023 12:06:53 +0800
